<?php
/*
This file handles all of the user-submitted options and stores
them in the WordPress database for later calls.  Also, it is responsible
for calling the various functions as each form is submitted.
*/


//Grabs post data from dbSettings form and sets it equal to their
//respective variables.  Also, stores the values in the database
//for use later on.
if (isset($_POST['dbOptions']))
	{
		$dbhost = $_POST['dbhost'];
		update_option('dbhost', $dbhost);

		$dbname = $_POST['dbname'];
		update_option('dbname', $dbname);
		
		$dbuser = $_POST['dbuser'];
		update_option('dbuser', $dbuser);
		
		$dbpwd = $_POST['dbpwd'];
		update_option('dbpwd', $dbpwd);
		
		echo "<div class='updated'><p><strong>Options saved!</strong></p></div>";
	}
else    //Else grabs the values from the database
	{
		$dbhost = get_option('dbhost');
		$dbname = get_option('dbname');
		$dbuser = get_option('dbuser');
		$dbpwd = get_option('dbpwd');
	}

//Grabs post data from postDefaults form and sets it equal to their
//respective variables.  Also, stores the values in the database
//for use later on.
if (isset($_POST['postDefaults']))
	{
		$author = $_POST['author'];
		update_option('author', $author);
		
		$commentStatus = $_POST['commentStatus'];
		update_option('commentStatus', $commentStatus);
		
		$pingStatus = $_POST['pingStatus'];
		update_option('pingStatus', $pingStatus);
		
		$menuOrder = $_POST['menuOrder'];
		update_option('menuOrder', $menuOrder);
		
		$postType = $_POST['postType'];
		update_option('postType', $postType);	
		
		echo "<div class='updated'><p><strong>Post Defaults Saved!</strong></p></div>";
	}
else    //Else grabs the values from the database
	{
		$author = get_option('author');
		$commentStatus = get_option('commentStatus');
		$pingStatus = get_option('pingStatus');
		$menuOrder = get_option('menuOrder');
		$postType = get_option('postType');
	}

//Grabs post data from syncForm and sets it equal to their
//respective variables.  Also, stores the values in the database
//for use later on.
if (isset($_POST['Sync']))     //Sync Posts for a specific category
	{
		$source = $_POST['source'];
		update_option('source', $source);
		
		$column = $_POST['column'];
		update_option('column', $column);
		
		$category = $_POST['category'];
		update_option('category', $category);
		
		//Initiates database connection
		$conn = dbConnect($dbhost, $dbuser, $dbpwd, $dbname);
		
		//Since this is a sync, clear pre-existing posts of the same category
		clearPosts ($conn, $category);
		
		//Insert the posts using the selected category and post options
		insertPosts ($category, $conn, $column, $source, $author, $commentStatus, $pingStatus, $menuOrder, $postType);
		
		echo "<div class='updated'><p><strong>Sync Completed Successfully!</strong></p></div>";
	}
elseif (isset($_POST['Append']))    //Appends post to the current Category
	{
		$source = $_POST['source'];
		update_option('source', $source);
		
		$column = $_POST['column'];
		update_option('column', $column);
		
		$category = $_POST['category'];
		update_option('category', $category);
		
		//Initiates database connection
		$conn = dbConnect($dbhost, $dbuser, $dbpwd, $dbname);
		
		//Inserts the posts using the selected category and post options
		insertPosts ($category, $conn, $column, $source, $author, $commentStatus, $pingStatus, $menuOrder, $postType);
		
		echo "<div class='updated'><p><strong>Append Posts Completed Successfully!</strong></p></div>";
	}
elseif (isset($_POST['Remove']))    //Remove all posts from the selected category
	{
		$category = $_POST['category'];
		update_option('category', $category);
		
		//Initiates database connection
		$conn = dbConnect($dbhost, $dbuser, $dbpwd, $dbname);
		
		//Removes all posts under the selected category
		clearPosts ($conn, $category);
		
		echo "<div class='updated'><p><strong>Clear Posts Completed Successfully!</strong></p></div>";
	}

//Allows the user to add a new category
if (isset($_POST['addCategory']))
	{
		$category = $_POST['category'];
		$parent = $_POST['parent'];
		
		addCategory($category, $parent);
		
		echo "<div class='updated'><p><strong>Category Added!</strong></p></div>";
	}
?>